# encoding: utf-8

require 'spec_helper'


module MyEpisodes
  describe Episode do
    let :episode do
      described_class.new(season)
    end

    let :season do
      Season.new('Season 1')
    end

    let :attributes do
      Nokogiri::HTML(File.read('spec/support/resources/episode.html'))
        .children.last.children.first.children.first.children
    end

    it 'belongs to a Season' do
      expect(episode.season).to be_a(Season)
    end

    describe '#create' do
      before do
        episode.create(attributes)
      end

      it 'parses air date' do
        expect(episode.air_date).to eq('17-Aug-2014')
      end

      it 'parses show name' do
        expect(episode.show_name).to eq('Akame ga KILL!')
      end

      it 'parses number' do
        expect(episode.number).to eq('S01E07')
      end

      it 'parses name' do
        expect(episode.name).to eq('Season 1, Episode 7')
      end

      it 'parses `acquired` state' do
        expect(episode).to be_acquired
      end

      it 'parses `watched` state' do
        expect(episode).to_not be_watched
      end
    end
  end
end
