# encoding: utf-8

require 'spec_helper'


module MyEpisodes
  describe Show do
    let :show do
      described_class.new('Show')
    end

    let :rows do
      Nokogiri::HTML(File.read('spec/support/resources/show.html'))
        .children.last.children.first.children
    end

    describe '#name' do
      it 'returns the name of the show' do
        expect(show.name).to eq('Show')
      end
    end

    describe '#create' do
      before do
        show.create(rows)
      end

      it 'parses consecutive seasons' do
        expect(show.seasons.size).to eq(2)
      end

      it 'parses episodes correctly' do
        seasons = show.seasons
        expect(seasons.first.episodes.size).to eq(3)
        expect(seasons.last.episodes.size).to eq(1)
      end
    end

    describe '#seasons' do
      it 'returns a frozen list of seasons' do
        expect(show.seasons).to be_frozen
      end
    end
  end
end
