# encoding: utf-8

require 'vcr'
require 'simplecov'
require 'coveralls'
require 'stringio'


VCR.configure do |c|
  c.cassette_library_dir = 'spec/support/cassettes'
  c.hook_into :webmock
  c.configure_rspec_metadata!
end

if ENV.include?('TRAVIS')
  Coveralls.wear!
  SimpleCov.formatter = Coveralls::SimpleCov::Formatter
end

SimpleCov.start do
  add_group 'Source', 'lib'
  add_group 'Unit tests', 'spec/my_episodes'
  add_group 'Integration tests', 'spec/integration'
end

require 'my_episodes'
